groups:
  - name: service-down
    rules:
      - alert: ServiceDownOnPort8080
        expr: up{instance="localhost:8080"} == 0
        for: 50s
        labels:
          severity: critical
        annotations:
          summary: "Service Down on Port 8080 Detected"

  - name: high-non-200-responses
    rules:
          - alert: HighNon200Responses
            expr: increase(http_server_requests_seconds_count{status!~"2.."}[1m]) > 5
            labels:
              severity: critical
            annotations:
              summary: "High number of non-200 responses"
              description: "There have been more than 5 non-200 HTTP responses in the last minute."
